"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const as_record_1 = require("../records/as.record");
const defaultObj = {
    name: 'Test Name',
    description: 'blach',
    url: 'http://localhos:3000',
    price: 0,
    lat: 9,
    lon: 10,
};
test('Can build AdRecord', () => {
    const ad = new as_record_1.AdRecord(defaultObj);
    expect(ad.name).toBe('Test Name');
    expect(ad.description).toBe('blach');
});
test('Validates invalid price', () => {
    expect(() => new as_record_1.AdRecord(Object.assign(Object.assign({}, defaultObj), { price: -3 }))).toThrow('Cena nie może być mniejsza niż 0 lub większa niż 9 999 999.');
});
//# sourceMappingURL=ad-record.test.js.map