import { AdRecord } from "../records/as.record";

const defaultObj = {
    name: 'Test Name',
        description: 'blach',
        url: 'http://localhos:3000',
        price: 0,
        lat: 9,
        lon: 10,
}

test('Can build AdRecord', () => {
    const ad = new AdRecord(defaultObj);
    expect(ad.name).toBe('Test Name');
    expect(ad.description).toBe('blach');
});

test('Validates invalid price', () => {

    expect(() => new AdRecord({
        ...defaultObj,
        price: -3,
    })).toThrow('Cena nie może być mniejsza niż 0 lub większa niż 9 999 999.')

})